## firefox-esr 52.7.3esr

=== testing/talos/requirements.txt ===
mozlog>=3.1
mozcrash>=0.15
mozfile>=1.2
mozhttpd>=0.7
mozinfo>=0.8
mozprocess>=0.22
mozversion>=1.3
mozprofile>=0.25
psutil>=3.1.1

=== mobile/android/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FirefoxforAndroid.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FirefoxforAndroid.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/FirefoxforAndroid"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/FirefoxforAndroid"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== dom/media/test/external/requirements.txt ===
firefox-puppeteer >= 52.1.0, <53.0.0
manifestparser==1.1
marionette-driver==2.2.0
marionette-harness==4.0.0
mozlog==3.3

=== dom/media/test/external/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ExternalMediaTests.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ExternalMediaTests.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ExternalMediaTests"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ExternalMediaTests"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
firefox-esr (52.7.3esr-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-10, also known as CVE-2018-5148.

 -- Mike Hommey <glandium@debian.org>  Tue, 27 Mar 2018 08:03:45 +0900

firefox-esr (52.7.2esr-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-08, also known as CVE-2018-5146, CVE-2018-5147.

 -- Mike Hommey <glandium@debian.org>  Sat, 17 Mar 2018 07:26:52 +0900

firefox-esr (52.7.1esr-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-07, also known as
    CVE-2018-5127, CVE-2018-5129, CVE-2018-5130, CVE-2018-5131,
    CVE-2018-5144, CVE-2018-5125, CVE-2018-5145.

  * intl/icu/source/i18n/digitlst.cpp: Apply part of
    http://bugs.icu-project.org/trac/changeset/40603 to fix FTBFS with glibc
    2.26 on big endian platforms.

 -- Mike Hommey <glandium@debian.org>  Thu, 15 Mar 2018 08:29:27 +0900

firefox-esr (52.6.0esr-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-03, also known as
    CVE-2018-5091, CVE-2018-5095, CVE-2018-5096, CVE-2018-5097,
    CVE-2018-5098, CVE-2018-5099, CVE-2018-5102, CVE-2018-5103,
    CVE-2018-5104, CVE-2018-5117, CVE-2018-5089.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Jan 2018 06:51:46 +0900

firefox-esr (52.5.2esr-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-28, also known as CVE-2017-7843.

 -- Mike Hommey <glandium@debian.org>  Fri, 08 Dec 2017 20:41:27 +0900

firefox-esr (52.5.0esr-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-25, also known as:
    CVE-2017-7828, CVE-2017-7830, CVE-2017-7826.

  * debian/source/lintian-overrides: Add a lintian override for dotzlib.chm.
  * debian/import-tar.py: Make python 3.6 happy.

 -- Mike Hommey <glandium@debian.org>  Wed, 15 Nov 2017 07:19:57 +0900

firefox-esr (52.4.0esr-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-22, also known as:
    CVE-2017-7793, CVE-2017-7818, CVE-2017-7819, CVE-2017-7824,
    CVE-2017-7805, CVE-2017-7814, CVE-2017-7823, CVE-2017-7810.
  * debian/rules: Really build with gcc 6 on unstable. Closes: #871583.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Sep 2017 06:02:52 +0900

firefox-esr (52.3.0esr-1~deb8u2) jessie-security; urgency=medium

  * js/src/jsmath.cpp: Add GETRANDOM_NR definition for powerpc and mips.
    bz#1389281.
  * media/libcubeb/tests/moz.build: Fixup workaround for binutil assertion on
    mips.

 -- Mike Hommey <glandium@debian.org>  Fri, 11 Aug 2017 18:19:19 +0900

firefox-esr (52.3.0esr-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-19, also known as:
    CVE-2017-7798, CVE-2017-7800, CVE-2017-7801, CVE-2017-7784,
    CVE-2017-7802, CVE-2017-7785, CVE-2017-7786, CVE-2017-7753,
    CVE-2017-7787, CVE-2017-7807, CVE-2017-7792, CVE-2017-7791,
    CVE-2017-7803, CVE-2017-7779.

  * debian/upstream.mk:
    - Consider testing/unstable as buster, which implies build depending on
      system nspr, nss and sqlite again.
    - Support DEB_DISTRIBUTION being bustersomething or sid.
    Closes: #865650.

  * debian/upstream.mk: Set DIST differently for experimental.
  * debian/control*, debian/rules: Build with gcc 6 because display is broken
    with gcc 7.

  * FTBFS fixes:
    - js/src/jsmath.cpp: Define GETRANDOM_NR on more artitectures. bz#1352236,
      bz#1357874.
    - media/libyuv/source/row_mips.cc: Only use the perf opcode on mips arches
      that support it. bz#1012232.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Aug 2017 06:52:55 +0900

firefox-esr (52.2.0esr-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-16, also known as:
    CVE-2017-5472, CVE-2017-7749, CVE-2017-7750, CVE-2017-7751,
    CVE-2017-7752, CVE-2017-7754, CVE-2017-7756, CVE-2017-7757,
    CVE-2017-7778, CVE-2017-7758, CVE-2017-7764, CVE-2017-5470.

  * debian/rules, debian/control.in: Switch to GCC 4.8 on wheezy.
  * debian/rules: Don't remove debian/control on clean. Thanks to
    Emilio Pozuelo Monfort for those two changes for wheezy LTS support.
  * debian/control.in: Bump nss build dependency.
  * debian/control.in, debian/rules, debian/symbols.mk, debian/upstream.mk:
    Rename the BACKPORT variable to DIST, and set it to "stretch" for
    unstable/testing targetted builds.
  * debian/rules: Normalize the system libraries used depending on the Debian
    version.

 -- Mike Hommey <glandium@debian.org>  Wed, 14 Jun 2017 07:53:34 +0900

=== debian/control ===
Source: firefox-esr
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               autoconf2.13,
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libgtk-3-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libjpeg-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev,
               python2.7,
               python-minimal (>= 2.6.6-13~),
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libhunspell-dev (>= 1.2),
               libdbus-glib-1-dev,
               libasound2-dev [linux-any],
               libiw-dev [linux-any],
               libnotify-dev,
               libffi-dev,
               libevent-dev (>= 1.4.1),
               libjsoncpp-dev,
               mesa-common-dev,
               libpulse-dev,
               yasm (>= 1.1),
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf,
               fonts-dejima-mincho,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.8.0
Vcs-Git: https://anonscm.debian.org/git/pkg-mozilla/iceweasel.git -b esr52/master
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozilla/iceweasel.git?h=esr52/master

Package: firefox-esr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         libsqlite3-0 (>= 3.7.12-1~)
Suggests: fonts-stix | otf-stix,
          fonts-lmodern,
          mozplugger,
          libgssapi-krb5-2 | libkrb53,
          libcanberra0
Conflicts: j2re1.4,
           pango-graphite (<< 0.9.3),
           iceweasel (<< 45)
Breaks: xul-ext-torbutton
Provides: www-browser,
          gnome-www-browser
Description: Mozilla Firefox web browser - Extended Support Release (ESR)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.

Package: iceweasel
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr, ${misc:Depends}
Description: Web browser based on Firefox - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-dbg
Architecture: any
Priority: extra
Section: debug
Depends: firefox-esr (= ${binary:Version}),
         ${misc:Depends}
Breaks: iceweasel-dbg (<< 45)
Replaces: iceweasel-dbg (<< 45)
Provides: iceweasel-dbg
Description: Debugging symbols for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the debugging symbols for firefox-esr.

Package: iceweasel-dbg
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-dbg, ${misc:Depends}
Description: Debugging symbols for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-ply,
         firefox-esr (= ${binary:Version})
Conflicts: xulrunner-dev,
           firefox-dev
Breaks: iceweasel-dev (<< 45)
Replaces: iceweasel-dev (<< 45)
Provides: iceweasel-dev
Description: Development files for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 Install this package if you wish to embed the Gecko engine in your
 program or want to develop XPCOM components.
 .
 This package also provides the Xulrunner Software Development Kit in the
 same form as the one you may find on mozilla.org in /usr/lib/xulrunner/sdk.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL

Package: iceweasel-dev
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-dev, ${misc:Depends}
Description: Development files for the Gecko engine library - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-all
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, firefox-esr-l10n-ach, firefox-esr-l10n-af, firefox-esr-l10n-an, firefox-esr-l10n-ar, firefox-esr-l10n-as, firefox-esr-l10n-ast, firefox-esr-l10n-az, firefox-esr-l10n-bg, firefox-esr-l10n-bn-bd, firefox-esr-l10n-bn-in, firefox-esr-l10n-br, firefox-esr-l10n-bs, firefox-esr-l10n-ca, firefox-esr-l10n-cak, firefox-esr-l10n-cs, firefox-esr-l10n-cy, firefox-esr-l10n-da, firefox-esr-l10n-de, firefox-esr-l10n-dsb, firefox-esr-l10n-el, firefox-esr-l10n-en-gb, firefox-esr-l10n-en-za, firefox-esr-l10n-eo, firefox-esr-l10n-es-ar, firefox-esr-l10n-es-cl, firefox-esr-l10n-es-es, firefox-esr-l10n-es-mx, firefox-esr-l10n-et, firefox-esr-l10n-eu, firefox-esr-l10n-fa, firefox-esr-l10n-ff, firefox-esr-l10n-fi, firefox-esr-l10n-fr, firefox-esr-l10n-fy-nl, firefox-esr-l10n-ga-ie, firefox-esr-l10n-gd, firefox-esr-l10n-gl, firefox-esr-l10n-gn, firefox-esr-l10n-gu-in, firefox-esr-l10n-he, firefox-esr-l10n-hi-in, firefox-esr-l10n-hr, firefox-esr-l10n-hsb, firefox-esr-l10n-hu, firefox-esr-l10n-hy-am, firefox-esr-l10n-id, firefox-esr-l10n-is, firefox-esr-l10n-it, firefox-esr-l10n-ja, firefox-esr-l10n-ka, firefox-esr-l10n-kab, firefox-esr-l10n-kk, firefox-esr-l10n-km, firefox-esr-l10n-kn, firefox-esr-l10n-ko, firefox-esr-l10n-lij, firefox-esr-l10n-lt, firefox-esr-l10n-lv, firefox-esr-l10n-mai, firefox-esr-l10n-mk, firefox-esr-l10n-ml, firefox-esr-l10n-mr, firefox-esr-l10n-ms, firefox-esr-l10n-nb-no, firefox-esr-l10n-nl, firefox-esr-l10n-nn-no, firefox-esr-l10n-or, firefox-esr-l10n-pa-in, firefox-esr-l10n-pl, firefox-esr-l10n-pt-br, firefox-esr-l10n-pt-pt, firefox-esr-l10n-rm, firefox-esr-l10n-ro, firefox-esr-l10n-ru, firefox-esr-l10n-si, firefox-esr-l10n-sk, firefox-esr-l10n-sl, firefox-esr-l10n-son, firefox-esr-l10n-sq, firefox-esr-l10n-sr, firefox-esr-l10n-sv-se, firefox-esr-l10n-ta, firefox-esr-l10n-te, firefox-esr-l10n-th, firefox-esr-l10n-tr, firefox-esr-l10n-uk, firefox-esr-l10n-uz, firefox-esr-l10n-vi, firefox-esr-l10n-xh, firefox-esr-l10n-zh-cn, firefox-esr-l10n-zh-tw
Breaks: iceweasel-l10n-all (<< 45)
Replaces: iceweasel-l10n-all (<< 45)
Provides: iceweasel-l10n-all
Description: All language packages for Firefox ESR (meta)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This is a metapackage depending on all available localizations of Firefox ESR.

Package: iceweasel-l10n-all
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-all, ${misc:Depends}
Description: All language packages for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-ach (<< 45)
Replaces: iceweasel-l10n-ach (<< 45)
Provides: iceweasel-l10n-ach
Description: Acoli language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Acoli.

Package: iceweasel-l10n-ach
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-ach, ${misc:Depends}
Description: Acoli language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-af (<< 45)
Replaces: iceweasel-l10n-af (<< 45)
Provides: iceweasel-l10n-af
Description: Afrikaans language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Afrikaans.

Package: iceweasel-l10n-af
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-af, ${misc:Depends}
Description: Afrikaans language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-an
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-an (<< 45)
Replaces: iceweasel-l10n-an (<< 45)
Provides: iceweasel-l10n-an
Description: Aragonese language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Aragonese.

Package: iceweasel-l10n-an
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-an, ${misc:Depends}
Description: Aragonese language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-ar
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-ar (<< 45)
Replaces: iceweasel-l10n-ar (<< 45)
Provides: iceweasel-l10n-ar
Description: Arabic language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Arabic.

Package: iceweasel-l10n-ar
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-ar, ${misc:Depends}
Description: Arabic language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-as
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-as (<< 45)
Replaces: iceweasel-l10n-as (<< 45)
Provides: iceweasel-l10n-as
Description: Assamese language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Assamese.

Package: iceweasel-l10n-as
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-as, ${misc:Depends}
Description: Assamese language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-ast
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-ast (<< 45)
Replaces: iceweasel-l10n-ast (<< 45)
Provides: iceweasel-l10n-ast
Description: Asturian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Asturian.

Package: iceweasel-l10n-ast
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-ast, ${misc:Depends}
Description: Asturian language package for Iceweasel - Transitional package

## firefox-esr 52.8.0esr

=== debian/changelog ===
firefox-esr (52.8.0esr-1~deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Backport to wheezy.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 10 May 2018 19:35:01 +0200

firefox-esr (52.8.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-12, also known as
    CVE-2018-5183, CVE-2018-5154, CVE-2018-5155, CVE-2018-5157,
    CVE-2018-5158, CVE-2018-5159, CVE-2018-5168, CVE-2018-5178,
    CVE-2018-5150.

 -- Mike Hommey <glandium@debian.org>  Thu, 10 May 2018 08:30:12 +0900

firefox-esr (52.7.3esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-10, also known as CVE-2018-5148.

 -- Mike Hommey <glandium@debian.org>  Tue, 27 Mar 2018 08:03:45 +0900

firefox-esr (52.7.2esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-08, also known as CVE-2018-5146, CVE-2018-5147.

 -- Mike Hommey <glandium@debian.org>  Sat, 17 Mar 2018 07:26:52 +0900

firefox-esr (52.7.1esr-1) unstable; urgency=medium

  * New upstream release.
    - Fixes search engines in Italian locale.

 -- Mike Hommey <glandium@debian.org>  Thu, 15 Mar 2018 08:29:27 +0900

firefox-esr (52.7.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-07, also known as
    CVE-2018-5127, CVE-2018-5129, CVE-2018-5130, CVE-2018-5131,
    CVE-2018-5144, CVE-2018-5125, CVE-2018-5145.

 -- Mike Hommey <glandium@debian.org>  Wed, 14 Mar 2018 07:11:34 +0900

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
+               gcc-mozilla,
                autoconf2.13,
                libx11-dev,
                libx11-xcb-dev,
@@ -290,4 +291,3 @@
 Priority: extra
 Section: oldlibs
 Depends: firefox-esr-l10n-ast, ${misc:Depends}
-Description: Asturian language package for Iceweasel - Transitional package

## firefox-esr 52.8.1esr

=== debian/changelog ===
firefox-esr (52.8.1esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-14, also known as CVE-2018-6126.

  * debian/control*: Update Maintainer and Vcs fields, moving off alioth.
    Closes: #899509

 -- Mike Hommey <glandium@debian.org>  Fri, 08 Jun 2018 16:38:21 +0900

firefox-esr (52.8.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-12, also known as
    CVE-2018-5183, CVE-2018-5154, CVE-2018-5155, CVE-2018-5157,
    CVE-2018-5158, CVE-2018-5159, CVE-2018-5168, CVE-2018-5178,
    CVE-2018-5150.

 -- Mike Hommey <glandium@debian.org>  Thu, 10 May 2018 08:30:12 +0900

firefox-esr (52.7.3esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-10, also known as CVE-2018-5148.

 -- Mike Hommey <glandium@debian.org>  Tue, 27 Mar 2018 08:03:45 +0900

## firefox-esr 52.9.0esr

=== debian/changelog ===
firefox-esr (52.9.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-17, also known as:
    CVE-2018-12359, CVE-2018-12360, CVE-2018-12362, CVE-2018-5156,
    CVE-2018-12363, CVE-2018-12364, CVE-2018-12365, CVE-2018-12366,
    CVE-2018-12368, CVE-2018-5188.

  * intl/icu_sources_data.py: Add --disable-layoutex when running ICU
    configure. bz#1462859.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Jun 2018 07:33:25 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: firefox-esr
 Section: web
 Priority: optional
-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: autotools-dev,
-               debhelper (>= 9),
-               gcc-mozilla,
+               debhelper (>= 9.20160114),
                autoconf2.13,
                libx11-dev,
                libx11-xcb-dev,
@@ -22,6 +21,7 @@
                python-minimal (>= 2.6.6-13~),
                python-ply,
                dpkg-dev (>= 1.16.1.1~),
+               libvpx-dev (>= 1.5.0),
                libhunspell-dev (>= 1.2),
                libdbus-glib-1-dev,
                libasound2-dev [linux-any],
@@ -48,8 +48,8 @@
                  libhildonmime-dev,
                  libosso-dev
 Standards-Version: 3.9.8.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-mozilla/iceweasel.git -b esr52/master
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozilla/iceweasel.git?h=esr52/master
+Vcs-Git: https://salsa.debian.org/mozilla-team/firefox.git -b esr52/master
+Vcs-Browser: https://salsa.debian.org/mozilla-team/firefox/commits/esr52/master
 
 Package: firefox-esr
 Architecture: any
@@ -82,28 +82,6 @@
 Description: Web browser based on Firefox - Transitional package
  This is a transitional package, it can be safely removed.
 
-Package: firefox-esr-dbg
-Architecture: any
-Priority: extra
-Section: debug
-Depends: firefox-esr (= ${binary:Version}),
-         ${misc:Depends}
-Breaks: iceweasel-dbg (<< 45)
-Replaces: iceweasel-dbg (<< 45)
-Provides: iceweasel-dbg
-Description: Debugging symbols for Firefox ESR
- Firefox ESR is a powerful, extensible web browser with support for modern
- web application technologies.
- .
- This package contains the debugging symbols for firefox-esr.
-
-Package: iceweasel-dbg
-Architecture: all
-Priority: extra
-Section: oldlibs
-Depends: firefox-esr-dbg, ${misc:Depends}
-Description: Debugging symbols for Iceweasel - Transitional package
- This is a transitional package, it can be safely removed.
 
 Package: firefox-esr-dev
 Section: libdevel
@@ -291,3 +269,24 @@
 Priority: extra
 Section: oldlibs
 Depends: firefox-esr-l10n-ast, ${misc:Depends}
+Description: Asturian language package for Iceweasel - Transitional package
+ This is a transitional package, it can be safely removed.
+
+Package: firefox-esr-l10n-az
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
+Breaks: iceweasel-l10n-az (<< 45)
+Replaces: iceweasel-l10n-az (<< 45)
+Provides: iceweasel-l10n-az
+Description: Azerbaijani language package for Firefox ESR
+ Firefox ESR is a powerful, extensible web browser with support for modern
+ web application technologies.
+ .
+ This package contains the localization of Firefox ESR in Azerbaijani.
+
+Package: iceweasel-l10n-az
+Architecture: all
+Priority: extra
+Section: oldlibs

=== debian/rules ===
#!/usr/bin/make -f
TESTDIR = $(shell dh_testdir || echo no)
ifeq (,$(TESTDIR))
include debian/make.mk
# Use dpkg-buildflags to get hardening flags, exclude non-hardening flags,
# and disable read-only relocations.
dpkg_buildflags = $(and $(1),$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-relro DEB_CFLAGS_MAINT_STRIP="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-all dpkg-buildflags --get $(1))" dpkg-buildflags --get $(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

$(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
$(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
$(call lazy,DEB_BUILD_ARCH,$$(shell dpkg-architecture -qDEB_BUILD_ARCH))
$(call lazy,DEB_BUILD_ARCH_ENDIAN,$$(shell dpkg-architecture -qDEB_BUILD_ARCH_ENDIAN))

PYTHON := python -B

PRODUCT := browser
include debian/upstream.mk

SYSTEM_LIBS = zlib bz2 hunspell ffi libevent
ifeq (,$(filter wheezy jessie stretch,$(DIST)))
SYSTEM_LIBS += nspr nss sqlite
endif
ifeq (,$(filter wheezy jessie,$(DIST)))
SYSTEM_LIBS += vpx
endif

define system_lib
USE_SYSTEM_$(1) = 1
SYSTEM_LIBS_VARS += USE_SYSTEM_$(1)
endef
$(foreach lib,$(sort $(call uc,$(SYSTEM_LIBS))),$(eval $(call system_lib,$(lib))))

ifeq ($(DIST),wheezy)
CC := /usr/lib/gcc-mozilla/bin/gcc
CXX := /usr/lib/gcc-mozilla/bin/g++
endif
ifeq (,$(filter-out buster experimental,$(DIST)))
CC := gcc-6
CXX := g++-6
endif

OFFICIAL_BRANDING := browser/branding/official
MOZILLA_OFFICIAL := 1
# ESR, Beta and Releases use the official branding
ifneq (,$(filter release beta esr%,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= $(OFFICIAL_BRANDING)
else
ifneq (,$(filter aurora,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/aurora
else
ifneq (,$(filter central,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/nightly
else
$(error $(PRODUCT_NAME) branding for $(SOURCE_CHANNEL) is unsupported)
endif
endif
endif

# Enable rust on non-release/esr
ifeq (,$(filter release esr%,$(SHORT_SOURCE_CHANNEL)))
ifndef DIST
RUST = 1
ifneq (,$(filter amd64 i386,$(DEB_BUILD_ARCH)))
BUILD_RUST = 1
endif
endif
endif

GTK3 ?= $(shell grep -q "platform_choices = .'cairo-gtk3'" toolkit/moz.configure && echo 1)

ifeq (firefox-esr,$(DEBIAN_SOURCE))
TRANSITION = 1
endif

BRANDING_CONFIGURE_FLAG = $(if $(filter $(BRANDING),$(OFFICIAL_BRANDING)),--enable-official-branding,--with-branding=$(BRANDING))

# Define PRODUCT, product and Product variables (replacing product with the
# actual value of $(PRODUCT))
$(PRODUCT) := $(call lc,$(PRODUCT_NAME))
uc_first = $(strip $(eval __tmp := $(1))$(foreach l,$(letters),$(eval __tmp := $(subst $(l),$(l) ,$(__tmp))))$(call uc,$(firstword $(__tmp)))$(1:$(firstword $(__tmp))%=%))
DISPLAY_NAME := $(call uc_first,$(PRODUCT_DOWNLOAD_NAME))$(if $(filter %-esr,$(PRODUCT_NAME)), ESR)
$(call uc,$(PRODUCT)) := $(call uc,$(DISPLAY_NAME))
Product := $(call uc_first,$(PRODUCT))
$(Product) := $(DISPLAY_NAME)

MOZ_APP_REMOTINGNAME := $(call uc_first,$($(PRODUCT)))

LIB_DIR := /usr/lib/$($(PRODUCT))
SHARE_DIR := /usr/share/$($(PRODUCT))

LDFLAGS := -Wl,--as-needed

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
# Also add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

AUTOCONF_DIRS := build/autoconf

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifneq (,$(filter kfreebsd-% hurd-%,$(DEB_BUILD_ARCH)))
	CONFIGURE_FLAGS += --disable-necko-wifi
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif
ifneq (,$(filter %i386 %amd64,$(DEB_BUILD_ARCH)))
	MOZ_FFVPX = 1
endif
ifneq (,$(filter i386 amd64 armel armhf,$(DEB_BUILD_ARCH)))
	CRASH_REPORTER = 1
endif

ifeq (default,$(origin CC))
CC := gcc
endif
ifeq (default,$(origin CXX))
CXX := g++
endif

ifneq (,$(findstring gcc,$(CC)))
ifeq (,$(filter 4.% 5.%,$(shell $(CC) -dumpversion)))
CFLAGS += -fno-schedule-insns2 -fno-lifetime-dse -fno-delete-null-pointer-checks
ifneq (,$(filter armel armhf,$(DEB_BUILD_ARCH)))
CFLAGS += -fno-schedule-insns
endif
endif
endif

CXXFLAGS = $(CFLAGS)

ifeq ($(DEB_BUILD_ARCH_ENDIAN),little)
ICU_DATA_FILE = icudt58l.dat
else
ICU_DATA_FILE = icudt58b.dat
endif

EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL ICU_DATA_FILE
$(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))

IN_FILES := $(wildcard debian/*.in)
ifeq ($(PRODUCT_NAME),firefox)
IN_FILES := $(filter-out debian/browser.preinst.in debian/browser.postrm.in debian/$($(PRODUCT)).in,$(IN_FILES))
endif
preprocessed_filename = $(subst $(PRODUCT),$($(PRODUCT)),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
define preprocess
$(call preprocessed_filename,$(1)): $(1)
PREPROCESSED_FILES += $(call preprocessed_filename,$(1))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

GENERATED_FILES += $(PREPROCESSED_FILES) debian/l10n/$(PRODUCT)-l10n.control
debian/control: debian/rules debian/changelog debian/l10n/$(PRODUCT)-l10n.control

$(call lazy,L10N_PACKAGES,$$(foreach lang,$$(L10N_LANGS),$($(PRODUCT))-l10n-$$(call lc,$$(lang))))
$(call lazy,L10N_PACKAGES_DEPS,$$(shell echo $$(L10N_PACKAGES) | sed 's/ /, /g'))

debian/l10n/$(PRODUCT)-l10n.control: %: %.in
	$(PYTHON) debian/l10n/gen $(L10N_LANGS) > $@

DICT_DIR := /usr/share/hunspell

$(PREPROCESSED_FILES): VARS = GRE_VERSION DICT_DIR $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL GTK3 DIST TRANSITION MOZ_FFVPX ICU_DATA_FILE CRASH_REPORTER RUST BUILD_RUST DEB_BUILD_ARCH
debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT
$(PREPROCESSED_FILES):
	$(PYTHON) python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< > $@

ifdef TRANSITION
MAINTSCRIPTS := $(addprefix debian/,$(addsuffix .maintscript,$(shell awk -F/ '$$1 != "searchplugins" { next } $$2 == "locale" && $$3 != "en-US" { p="iceweasel-l10n-" $$3 } $$2 == "common" || ($$2 "/" $$3 == "locale/en-US") { p="iceweasel" } !done[p] { print p; done[p] = 1 }' debian/removed_conffiles)))

GENERATED_FILES += $(MAINTSCRIPTS)

debian/iceweasel.maintscript: debian/removed_conffiles
	(grep -v searchplugins/locale $<; grep searchplugins/locale/en-US $<) | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel"}' > $@

debian/iceweasel-l10n-%.maintscript: debian/removed_conffiles
	grep -i searchplugins/locale/$* $< | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel-l10n-$*"}' > $@
endif

%/package-manifest:
	$(MAKE) -C $*

override_dh_auto_configure:

stamps/prepare-configure:: stamps/dummy
	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' $$dir/$$file; \
		done; \
	done
ifeq ($(SOURCE_TYPE),nightly)
	$(MAKE) -f client.mk configure-files
endif

stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
# Ensure --{with,enable}-system options properly set expected variables
# according to the definitions in the mozconfig file.
	@awk -F' *# *| *$$' ' \
	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \
	$$1 ~ /system/ { \
		if (! $$2) { \
			print FILENAME ": Missing variable for",$$1; \
			error=1; \
		} else { \
			split($$2,var,"="); \
			cmd = "grep -l " var[1] " " confs; \
			cmd | getline dir; \
			sub(/\/[^\/]*$$/, "", dir); \
			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
			cmd | getline value; \
			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
		} \
	} \
	END { if (error) { exit 1 }}' debian/$($(PRODUCT)).mozconfig

=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
https://archive.mozilla.org/pub/firefox/releases/latest/source/firefox-([\d\.]+)[\.-]source\.tar\.xz debian python debian/repack.py
